net.sf.cglib.core

## Class CollectionUtils

- java.lang.Object
- - net.sf.cglib.core.CollectionUtils

-     public class CollectionUtils
      extends java.lang.Object

  Version:
    $Id: CollectionUtils.java,v 1.7 2004/06/24 21:15:21 herbyderby Exp $
  Author:
    Chris Nokleberg

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map` | `bucket(java.util.Collection c, Transformer t)`
    `static java.util.Collection` | `filter(java.util.Collection c, Predicate p)`
    `static java.util.Map` | `getIndexMap(java.util.List list)`
    `static void` | `reverse(java.util.Map source, java.util.Map target)`
    `static java.util.List` | `transform(java.util.Collection c, Transformer t)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### bucket

          public static java.util.Map bucket(java.util.Collection c,
                             Transformer t)

    - #### reverse

          public static void reverse(java.util.Map source,
                     java.util.Map target)

    - #### filter

          public static java.util.Collection filter(java.util.Collection c,
                                    Predicate p)

    - #### transform

          public static java.util.List transform(java.util.Collection c,
                                 Transformer t)

    - #### getIndexMap

          public static java.util.Map getIndexMap(java.util.List list)

Copyright (c) 2001 - Apache Software Foundation